import { Component, Input } from '@angular/core';
import { IonButton, IonButtons, IonContent, IonHeader, IonIcon, IonTitle, IonToolbar, ModalController } from '@ionic/angular/standalone';

@Component({
  selector: 'app-image1-popup',
  templateUrl: './image1-popup.component.html',
  styleUrls: ['./image1-popup.component.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonButton, IonButtons, IonToolbar, IonTitle, IonIcon]
})
export class Image1PopupComponent {
  @Input() imageUrl: string = '';
  @Input() description: string = '';

  constructor(private modalController: ModalController) {}
  ngOnInit() {console.log(this.description)}
  

  close() {
    this.modalController.dismiss();
  }
}
